#!/bin/bash

# Navigate to the directory containing the scripts
cd "$(dirname "$0")" || exit

# Find and execute all Python scripts matching the pattern
for script in [0-9][0-9]_importation_*.py
do
    if [ -f "$script" ]; then
        echo "Running $script..."
        python3 "$script"
        echo "Finished $script"
        echo "--------------------"
    fi
done

echo "All importation scripts have been executed."