import typesense
import os
from dotenv import load_dotenv

load_dotenv()

client = typesense.Client({
    'nodes': [{
        'host': os.getenv('TYPESENSE_HOST','localhost'),
        'port': os.getenv('TYPESENSE_PORT','8108'),
        'protocol': os.getenv('TYPESENSE_PROTOCOL','http'),
    }],
    'api_key': os.getenv('TYPESENSE_API_KEY'),
    'connection_timeout_seconds': 10
})
